Last Comment Bug 371859 - browser.startup.homepage_reset is unused and should be removed
: browser.startup.homepage_reset is unused and should be removed
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://lxr.mozilla.org/seamonkey/sear...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-26 18:50 PST by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2012-06-12 03:16 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2007-02-26 18:50:39 PST
As far as I can tell, browser.startup.homepage_reset is not used and should be removed from browserconfig.properties. Tracking blame for this pref is hard given the aviary branch landing and poor record keeping (no patches, sometimes no bugs), though, so if anyone can remember how this was used in the past, that'd be useful for confirming that it's no longer needed.
Comment 1 Mike Connor [:mconnor] 2007-03-01 13:03:46 PST
iirc, this was used for the "reset Firefox homepage" bit in the installer, and no longer matters.
Comment 2 Jared Wein [:jaws] (please needinfo? me) 2012-06-12 02:21:17 PDT
An MXR search doesn't turn up any results for homepage_reset and a separate MXR search for "browser.startup" doesn't return any results with anything that looks related to a "homepage reset".

I'm marking this as resolved-fixed. Please reopen or reclassify if I overlooked something or made this change in error.
Comment 3 Jared Wein [:jaws] (please needinfo? me) 2012-06-12 02:25:31 PDT
I did find a mention of homepage_reset in the Seamonkey codebase though.

http://mxr.mozilla.org/seamonkey/source/other-licenses/branding/firefox/locales/browserconfig.properties#3

although this bug is for Firefox. CC'ing the Seamonkey folks to see if they have a plan of removing this from their codebase.
Comment 4 neil@parkwaycc.co.uk 2012-06-12 03:16:20 PDT
(In reply to Jared Wein from comment #3)
> I did find a mention of homepage_reset in the Seamonkey codebase though.
> 
> http://mxr.mozilla.org/seamonkey/source/other-licenses/branding/firefox/locales/browserconfig.properties#3
> 
> although this bug is for Firefox. CC'ing the Seamonkey folks to see if they
> have a plan of removing this from their codebase.

No, that's actually Firefox 3.0 code you're looking at there.

Note You need to log in before you can comment on or make changes to this bug.